; ================
; Client.inc  08/09/06
; ================

IFNDEF CLIENT_INC
CLIENT_INC equ <1>

; -------------------------------------------------------------------------

include Wsock.inc
include macros.inc

; -------debugging---------------------------------------------------------
;include \masm32\include\debug.inc
;includelib \masm32\lib\debug.lib
;PrintDec keyval, "original key"
;PrintText ""
; -------debugging---------------------------------------------------------

; -------------------------------------------------------------------------

.const

DLGTEXT_SIZE				equ 16
MAX_MESSAGE_SIZE	equ 4096

HOST_ADDR STRUCT
	hostAddrTextPtr				DD ? ; ptr to a host address buffer
	hostAddrStatus				DD ? ; whether OK or CANCEL was clicked
HOST_ADDR ENDS

LOGIN_ID STRUCT
	loginIdTextPtr					DD ? ; ptr to a login id buffer
	loginIdStatus					DD ? ; whether OK or CANCEL was clicked
LOGIN_ID ENDS

SEND_DATA STRUCT
	sendRecipTextPtr			DD ? ; ptr to a recipient id buffer 
	sendMsgTextPtr				DD ? ; ptr to a message text buffer
	sendDataStatus				DD ? ; whether OK or CANCEL was clicked
SEND_DATA ENDS

IDM_CONNECT 								equ 200
IDM_LOGIN 									equ 201
IDM_WHO 										equ 202
IDM_SEND 										equ 203
IDM_BYE	 										equ 204
IDM_SAVE 										equ 205
IDM_EXIT 										equ 206

IDD_CONNECT_DLG						equ 1000
IDD_LOGIN_DLG							equ 1001
IDD_SEND_MSG_DLG					equ 1002
IDC_HOST_ADDR_EDIT				equ 1003
IDC_LOG_NAME_EDIT					equ 1004
IDC_RECIPIENT_NAME_EDIT		equ 1005
IDC_SEND_TEXT_EDIT					equ 1006

; -------------------------------------------------------------------------

ClearRecvBufs			PROTO :SOCKET
ClearSendBufs			PROTO
ConnectToServer 		PROTO :SOCKET
DlgConnectProc			PROTO :HWND, :DWORD, :DWORD, :DWORD
DlgLoginProc				PROTO :HWND, :DWORD, :DWORD, :DWORD
DlgSendMsgProc		PROTO :HWND, :DWORD, :DWORD, :DWORD
ErrorMsg 					PROTO :DWORD
InitSocket					PROTO :HWND
QueueConnection 		PROTO :DWORD, :DWORD
QueueGoodbye			PROTO :DWORD
QueueLoginName		PROTO :DWORD, :DWORD
QueueMessage			PROTO :DWORD, :DWORD, :DWORD
QueueWhoList			PROTO :DWORD
PostToLog 					PROTO :DWORD
RecvData 					PROTO :SOCKET
SendData					PROTO :SOCKET
ShutdownSocket			PROTO :DWORD
WSAputError 				PROTO :DWORD

; -------------------------------------------------------------------------

ENDIF ; CLIENT_INC