; ================
; Wsock.inc  08/01/06
; ================

IFNDEF WSOCK_INC
WSOCK_INC equ <1>

; -------------------------------------------------------------------------

include \masm32\include\windows.inc

include \masm32\include\user32.inc
include \masm32\include\kernel32.inc
include \masm32\include\comdlg32.inc

includelib \masm32\lib\user32.lib
includelib \masm32\lib\kernel32.lib
includelib \masm32\lib\comdlg32.lib

include \masm32\include\masm32.inc
includelib \masm32\lib\masm32.lib

include \masm32\include\wsock32.inc
includelib \masm32\lib\wsock32.lib

include macros.inc

; -------------------------------------------------------------------------

.const

BUFFER_SIZE						equ 1024
CLIENT_NAME_SIZE			equ 16 							; 15 char name string + terminating 0
MAXLOGTEXT_SIZE			equ 07FFFh
MAXSIZE								equ 260
MEMSIZE								equ 65535
SOCKADDR_SIZE				equ SIZEOF sockaddr_in

BLANK_CHAR						equ 32
STOP_SENDS						equ 1

WM_SOCKET						equ WM_USER+1000
WM_MENU_UPDATE		equ WM_SOCKET+1

SERVER_PORT						equ 3210
REQ_WINSOCK_VER			equ 2
UNKNOWN_ERROR			equ 0

; -------------------------------------------------------------------------

cmdHello								equ 'H'
cmdGoodbye							equ 'B'
cmdUpload 							equ 'U'
cmdWho									equ 'W'
srvNULL								equ 0
srvDownload							equ 'D'
srvError									equ 'E'
svrCircuit								equ 'K'
svrInfo										equ 'I'
srvLogCompl							equ 'L'
srvTerminated							equ 'T'
srvUploadCompl						equ 'C'

; -------------------------------------------------------------------------

ENDIF ; WSOCK_INC