; ================
; Server.inc  08/01/06
; ================

IFNDEF SERVER_INC
SERVER_INC equ <1>

; -------------------------------------------------------------------------

include Wsock.inc
include macros.inc

; -------debugging---------------------------------------------------------
;include \masm32\include\debug.inc
;includelib \masm32\lib\debug.lib
;PrintDec keyval, "original key"
;PrintText ""
; -------debugging---------------------------------------------------------

.const

SOCKETCONN STRUCT
	hSock								SOCKET (0)
	sockRemoteAddr			sockaddr_in <>
	clientName						db CLIENT_NAME_SIZE dup (0)
	sockID							BYTE (0)
	sockState							BYTE (0)
	nextSocketConn				DWORD (0) ; LPSOCKETCONN
SOCKETCONN ENDS

;	achIOBuf						db RECVBUF_SIZE dup (0)

LPSOCKETCONN 			TYPEDEF PTR SOCKETCONN
SOCKETCONN_SIZE		equ SIZEOF SOCKETCONN

SENDPACKET STRUCT
	lpSockConn					LPSOCKETCONN (0)
	lpSendBuffer					DWORD (0)
	bufferSize						DWORD (0)
	bytesSent						DWORD (0)
	nextSendPacket				DWORD (0) ; LPSENDPACKET
SENDPACKET ENDS

LPSENDPACKET				TYPEDEF PTR SENDPACKET
SENDPACKET_SIZE		equ SIZEOF SENDPACKET
;MAX_SENDPACKETS	equ 32

; -------------------------------------------------------------------------

CLIENT_NAME_NULL		equ 0
CLIENT_NAME_READY	equ 1
STAT_READ_READY			equ 100
STAT_CLOSE_PENDING	equ 101

; -------------------------------------------------------------------------

AcceptConn				PROTO :SOCKET
ClearRecvBufs			PROTO :SOCKET
ClearSendQueue		PROTO :LPSOCKETCONN
ClientNameFind			PROTO :DWORD
ClientNameList			PROTO :DWORD
ClientNameSet			PROTO :DWORD, :LPSOCKETCONN
ConnFind					PROTO :SOCKET
ConnAdd					PROTO :SOCKET, :DWORD
ConnRemove				PROTO :LPSOCKETCONN
DequeueSendPacket	PROTO
ErrorMsg 					PROTO :DWORD, :DWORD
GracefulDisconAll		PROTO
InitListen 					PROTO :HWND, :LPSOCKETCONN
PostToLog 					PROTO :DWORD
QueueSendPacket		PROTO :LPSOCKETCONN, :DWORD, :DWORD, :DWORD, :BYTE
RecvData 					PROTO :LPSOCKETCONN
SendData					PROTO
WSAputError 				PROTO :DWORD

; -------------------------------------------------------------------------

ENDIF ; SERVER_INC